Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.

Path Parameters

user_defined_listing_id
string
required

The listing's user_defined_id.

Body

application/json

Request to create a new library listing version from an existing model version.

oracle_version_id
string
required

Id of the source model version to publish

version_tag
string
required

Human-readable tag for this version

display_name
string | null

Display name of the library listing. Required when creating a new listing.

is_public
boolean
default:false

Whether the listing is publicly accessible. Only used when creating a new listing.

allow_truss_download
boolean
default:false

Whether users deploying this model can download the Truss

closed_source
boolean
default:false

Whether the listing is closed source (deployers cannot view or download the Truss, and forks copy mirrored weights instead of re-mirroring from upstream). Only used when creating a new listing.

Response

200 - application/json

A library listing version.

version_tag
string
required

Human-readable tag for this version

is_live
boolean
required

Whether this version is the live version

allow_truss_download
boolean
required

Whether users deploying this model can download the Truss

oracle_version_id
string
required

Id of the source model version

created_at
string<date-time>
required

Time the version was created in ISO 8601 format

modified_at
string<date-time>
required

Time the version was last modified